Per aspera ad astra

Иногда требуется установить ionCube PHP для работы некоторых PHP скриптов. Делается это просто.

Сначала нужно определить версию своей ОС. К примеру так:

# uname -a

Допустим у нас FreeBSD 6. Тогда качаем нужный архив:

# wget http://downloads2.ioncube.com/loader_downloads/ioncube_loaders_fre_6_x86.tar.gz

Затем распковывываем его:

# tar xvzf ioncube_loaders_fre_6_x86.tar.gz -C /usr/local/

Определяем кокая версия PHP стоит на сервере:

# php -v

Допустим у нас стоит PHP 5.2.4, тогда вписываем в начало файла /usr/local/etc/php.ini строчки:

zend_extension = «/usr/local/ioncube/ioncube_loader_fre_5.2.so»
zend_extension_ts = «/usr/local/ioncube/ioncube_loader_fre_5.2_ts.so»

Перезапускаем апач и проверяем установку командой php -m
должно появится что-то вроде этого:


xmlwriter
Zend Optimizer
zlib

[Zend Modules]
Zend Extension Manager
Zend Optimizer
the ionCube PHP Loader

Последняя строчка означает, что всё прошло успешно.

Если апач не запускается, то можно попробовать добавить строчки не в файл /usr/local/etc/php.ini, а в файл /usr/local/etc/php/extensions.ini

1 комментарий: Установка ionCube PHP на FreeBSD 6

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *

Свежие комментарии
Фотографии из жизни
Множество осколков от бутылок Интернет-Орск 2010 Орк-Рок 2012. 14 июля 2012 года Орк-Рок 2012. 14 июля 2012 года День Советского района города Орска. 8 июня 2013 года Орк-рок 2013. 15 июня 2013 года.
Подписка